package gov.va.med.edp.vistalink.adapter.spi;

import org.springframework.beans.factory.InitializingBean;
import gov.va.med.vistalink.adapter.spi.EMAdapterEnvironment;

public class VistaLinkManagedConnectionFactory extends gov.va.med.vistalink.adapter.spi.VistaLinkManagedConnectionFactory implements InitializingBean {

    private String stationNumber;

    public void afterPropertiesSet() throws Exception {
        setPrimaryStation(stationNumber);
        setAdapterEnvironment(EMAdapterEnvironment.J2EE);
    }

    public void setStationNumber(String stationNumber) {
        this.stationNumber = stationNumber;
    }
}
